*,
*::before,
*::after {

    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
}

body {
    max-width: 125ch;
    width: 100%;
    margin: 0 auto;
    background-color: black;
    color: white;
    font-family: sans-serif;
}

header {
    height: 3rem;
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.left-header,
.right-header {
    display: flex;
    align-items: center;
    gap: 2rem;
}

.right-header {
  position: relative;
  width: 280px;
}

.right-header input {
  width: 100%;
  padding: 0.6rem 0.75rem 0.6rem 2.25rem;
  font-size: 1rem;
}

.right-header .icon {
  position: absolute;
  left: 0.75rem;
  top: 50%;
  transform: translateY(-50%);
  width: 1rem;
  height: 1rem;
  pointer-events: none;
  fill: #777;
  color: black;
}

main {
    margin-top: 2ch;
}

h1 {
    font-weight: 25;
}

.episodes {
    margin-top: 2.5ch;
    display: flex;
    flex-wrap: wrap;
    gap: 1ch;
}

.episode,
.episode>img {
    height: 22ch;
    width: 41ch;
}

.episode {
    position: relative;
}

.episode-item {
    width: 100%;
    height: 25%;
    padding: 10px;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    bottom: 0;
    color: white;
    -webkit-text-stroke: 0.2px black; 
    background: linear-gradient(to bottom,
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0.6) 100%);
}

footer{
    margin-top: 20ch;
    margin-bottom: 2ch;
}